\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm]
\clip(-0.5,-0.5) rectangle (5,0.75);
\fill[line width=1pt,fill=black] (4,0.25) -- (4,-0.25) -- (4.5,0) -- cycle;
\draw [line width=1pt] (0.875,0.25)-- (1,0.25)-- (1,-0.25)-- (0.875,-0.25);
\draw [line width=1pt] (3.125,0.25)-- (3,0.25)-- (3,-0.25)-- (3.125,-0.25);
\draw [line width=1pt] (0,0)-- (4,0);
\draw [line width=2.5pt] (1,0)-- (3,0);
\draw (1,0.5) node[anchor=center] {-2};
\draw (3,0.5) node[anchor=center] {7};
\end{tikzpicture}